// include the library code:

#include <LiquidCrystal.h>

// initialize the library by associating any needed LCD interface pin
// with the arduino pin number it is connected to

const int rs = 13, en = 12, d4=8, d5=9, d6 =10, d7 = 11;

unsigned char  C =  0; 


LiquidCrystal lcd(rs, en, d4, d5, d6, d7);


// make a  custom character:
byte heart[8] = {
  0b00000,
  0b01010,
  0b11111,
  0b11111,
  0b11111,
  0b01110,
  0b00100,
  0b00000
};




void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);

  // create a new character
  lcd.createChar(0, heart);

  lcd.setCursor(0,0);

  // Print a message to the LCD.
  lcd.print("hello, world!");
  lcd.write(byte(0));

}


void loop() {



// set the cursor to column 0, line 1
// (note: line 1 is the second row, since counting begins with 0):
lcd.setCursor(0, 1);

lcd.print(C);

lcd.setCursor(10, 1);
lcd.write(C);
C=C+1;
delay(500);

}